package com.correx.testing.contracts.utils

import java.util.concurrent.*

class DeterministicBarrier(parties: Int) {

    private val barrier = CyclicBarrier(parties)

    fun await() {
        barrier.await()
    }
}
